xfs
[Top] [All Lists]

[PATCH] xfstests 273 274 275: do test in dedicated dir and leave test fi

To: xfs@xxxxxxxxxxx
Subject: [PATCH] xfstests 273 274 275: do test in dedicated dir and leave test files in it
From: Eryu Guan <guaneryu@xxxxxxxxx>
Date: Fri, 13 Jan 2012 01:20:15 +0800
Cc: Eryu Guan <guaneryu@xxxxxxxxx>
Dkim-signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=gamma; h=from:to:cc:subject:date:message-id:x-mailer; bh=cuqf8pnyYcoXFyC2ktQthZTAJX4d7hKQRXgfbbrIC2g=; b=bZS2LOflmguD1lnH0Y4xRWR1Ty6XqF6aSh2RVLJwuwHT3LC3HlCecre7bYo2p/Ah54 9PskPrVzMy9NLqYDAvFtA7Uoy7ZpgB1qKo8QTz5QY3m+FDi8Q5Nq0uae+ZdyFh79zNwq N+cSVE2J4xblC4Ks8d/cxOpa58zAKdynQn/zg=
Do all testings in dedicated dir($SCRATCH_MNT/$seq) instead of
$SCRATCH_MNT and don't remove test files in _cleanup() for debug
purpose.

Signed-off-by: Eryu Guan <guaneryu@xxxxxxxxx>
---
 273 |   14 ++++++++------
 274 |    9 ++++++---
 275 |    9 ++++++---
 3 files changed, 20 insertions(+), 12 deletions(-)

diff --git a/273 b/273
index 2965132..a7f14c1 100755
--- a/273
+++ b/273
@@ -35,7 +35,7 @@ trap "_cleanup; exit \$status" 0 1 2 3 15
 _cleanup()
 {
        cd /
-       rm -rf $SCRATCH_MNT/* $tmp.*
+       rm -rf $tmp.*
        _scratch_unmount
 }
 
@@ -44,6 +44,7 @@ _cleanup()
 
 threads=50
 count=1
+WORK_DIR="$SCRATCH_MNT/$seq"
 
 _threads_set()
 {
@@ -59,14 +60,14 @@ _file_create()
 {
        _i=0
 
-       if ! mkdir $SCRATCH_MNT/origin
+       if ! mkdir $WORK_DIR/origin
        then
                echo "mkdir origin err"
                status=1
                exit
        fi
 
-       cd $SCRATCH_MNT/origin
+       cd $WORK_DIR/origin
 
        _disksize=`df --block-size=1 | grep $SCRATCH_DEV | awk '{print $2}'`
        _disksize=$(($_disksize / 3))
@@ -85,14 +86,14 @@ _porter()
 {
        _suffix=$1
 
-       if ! mkdir $SCRATCH_MNT/sub_$_suffix
+       if ! mkdir $WORK_DIR/sub_$_suffix
        then
                echo "mkdir sub_xxx err"
                status=1
                exit
        fi
 
-       cp -r $SCRATCH_MNT/origin $SCRATCH_MNT/sub_$_suffix >$seq.full 2>&1
+       cp -r $WORK_DIR/origin $WORK_DIR/sub_$_suffix >$seq.full 2>&1
        if [ $? -ne 0 ]
        then
                echo "_porter $_suffix not complete"
@@ -106,7 +107,8 @@ _do_workload()
        _pids=""
        _pid=1
        
-       rm -rf $SCRATCH_MNT/*
+       rm -rf $WORK_DIR
+       mkdir -p $WORK_DIR
 
        _threads_set
        _file_create
diff --git a/274 b/274
index b658004..c351c40 100755
--- a/274
+++ b/274
@@ -35,13 +35,15 @@ trap "_cleanup; exit \$status" 0 1 2 3 15
 _cleanup()
 {
        cd /
-       rm -f $SCRATCH_MNT/* $tmp.*
+       rm -f $tmp.*
        _scratch_unmount
 }
 
 . ./common.rc
 . ./common.filter
 
+WORK_DIR="$SCRATCH_MNT/$seq"
+
 # real QA test starts here
 _supported_fs generic
 _supported_os IRIX Linux
@@ -57,8 +59,9 @@ umount $SCRATCH_DEV 2>/dev/null
 _scratch_mkfs_sized $((1 * 1024 * 1024 * 1024)) >>$seq.full 2>&1
 _scratch_mount
 
-rm -rf $SCRATCH_MNT/*
-cd $SCRATCH_MNT
+rm -rf $WORK_DIR
+mkdir -p $WORK_DIR
+cd $WORK_DIR
 dd if=/dev/zero of=test bs=4K count=1 >/dev/null 2>&1
 if [ $? -ne 0 ]
 then
diff --git a/275 b/275
index 214262e..7a4d414 100755
--- a/275
+++ b/275
@@ -36,13 +36,15 @@ trap "_cleanup; exit \$status" 0 1 2 3 15
 _cleanup()
 {
        cd /
-       rm -f $SCRATCH_MNT/* $tmp.*
+       rm -f $tmp.*
        _scratch_unmount
 }
 
 . ./common.rc
 . ./common.filter
 
+WORK_DIR="$SCRATCH_MNT/$seq"
+
 # real QA test starts here
 _supported_fs generic
 _supported_os IRIX Linux
@@ -58,8 +60,9 @@ umount $SCRATCH_DEV 2>/dev/null
 _scratch_mkfs_sized $((1 * 1024 * 1024 * 1024)) >>$seq.full 2>&1
 _scratch_mount
 
-rm -rf $SCRATCH_MNT/*
-cd $SCRATCH_MNT
+rm -rf $WORK_DIR
+mkdir -p $WORK_DIR
+cd $WORK_DIR
 
 dd if=/dev/zero of=tmp1 bs=4K count=1 >/dev/null 2>&1
 if [ $? -ne 0 ]
-- 
1.7.8.3

<Prev in Thread] Current Thread [Next in Thread>